package fr.marouse.dto;

import java.sql.Date;
import java.util.List;

public class ClientDTO {

    private int numClient;
    private String nomClient;
    private String prenomClient;
    private String adClient;
    private Date dateNaissClient;
    private int ageClient;
    private AgentDTO agent;
    private List<CompteDTO> comptes;

    public ClientDTO(int numClient, String nomClient, String prenomClient, String adClient, Date dateNaissClient, int ageClient, AgentDTO agent) {
        this.numClient = numClient;
        this.nomClient = nomClient;
        this.prenomClient = prenomClient;
        this.adClient = adClient;
        this.dateNaissClient = dateNaissClient;
        this.ageClient = ageClient;
        this.agent = agent;
    }
    public ClientDTO() {}

    public int getNumClient() {
        return numClient;
    }
    public void setNumClient(int numClient) {
        this.numClient = numClient;
    }
    public String getNomClient() {
        return nomClient;
    }
    public void setNomClient(String nomClient) {
        this.nomClient = nomClient;
    }
    public String getPrenomClient() {
        return prenomClient;
    }
    public void setPrenomClient(String prenomClient) {
        this.prenomClient = prenomClient;
    }
    public String getAdClient() {
        return adClient;
    }
    public void setAdClient(String adClient) {
        this.adClient = adClient;
    }
    public Date getDateNaissClient() {
        return dateNaissClient;
    }
    public void setDateNaissClient(Date dateNaissClient) {
        this.dateNaissClient = dateNaissClient;
    }
    public int getAgeClient() {
        return ageClient;
    }
    public void setAgeClient(int ageClient) {
        this.ageClient = ageClient;
    }
    public AgentDTO getAgent() {
        return agent;
    }
    public void setAgent(AgentDTO agent) {
        this.agent = agent;
    }

    public List<CompteDTO> getComptes() {
        return comptes;
    }

    public void setComptes(List<CompteDTO> comptes) {
        this.comptes = comptes;
    }
}

